Last Comment Bug 669564 - XMM6 and XMM7 aren't scratch register on Win64 ABI
: XMM6 and XMM7 aren't scratch register on Win64 ABI
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Windows Vista
: -- normal (vote)
: mozilla8
Assigned To: Makoto Kato [:m_kato]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 663748
  Show dependency treegraph
 
Reported: 2011-07-06 00:44 PDT by Makoto Kato [:m_kato]
Modified: 2011-07-22 14:20 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.51 KB, patch)
2011-07-06 00:49 PDT, Makoto Kato [:m_kato]
bhackett1024: review+
Details | Diff | Splinter Review
fix (for m-c) (1.51 KB, patch)
2011-07-21 05:35 PDT, Makoto Kato [:m_kato]
dvander: review+
Details | Diff | Splinter Review

Description Makoto Kato [:m_kato] 2011-07-06 00:44:59 PDT
On Win64 ABI, scratch register for FP is xmm0-xmm5.  But Unix x86-64 ABI is xmm0-xmm7.   So Win64 sometime causes jit-tests failure.

So we don't include xmm6 and xmm7 as scratch registers on Win64.
Comment 1 Makoto Kato [:m_kato] 2011-07-06 00:49:51 PDT
Created attachment 544165 [details] [diff] [review]
fix
Comment 2 Makoto Kato [:m_kato] 2011-07-06 00:52:43 PDT
After TI merge, math-jit-tests always become failure on Win64...
Comment 3 Brian Hackett (:bhackett) 2011-07-06 06:07:42 PDT
Comment on attachment 544165 [details] [diff] [review]
fix

Review of attachment 544165 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 4 Makoto Kato [:m_kato] 2011-07-07 01:20:36 PDT
http://hg.mozilla.org/tracemonkey/rev/d870a3d2a5ff
Comment 5 Makoto Kato [:m_kato] 2011-07-07 07:55:32 PDT
Backed out by http://hg.mozilla.org/tracemonkey/rev/9863e9639d80
Comment 6 Makoto Kato [:m_kato] 2011-07-07 07:56:57 PDT
It seems that XMM (FP) registers need continuity order...  I am investigating again.
Comment 7 Makoto Kato [:m_kato] 2011-07-21 05:35:16 PDT
Created attachment 547373 [details] [diff] [review]
fix (for m-c)
Comment 8 Makoto Kato [:m_kato] 2011-07-22 02:26:23 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/2ebe327fac38

Also, I will handle same issue for TI repository if necessary.

Note You need to log in before you can comment on or make changes to this bug.